


/*[Pomo]*/

//Longitud del pomo
Largo = 60;     //[20:1:110]

//Anchura del pomo
Ancho = 20;     //[14:1:70]

//Altura del pomo (sin el encaje para la silla)
Alto = 35;      //[30:1:80]

//Grosor de las paredes del pomo
Grosor = 4;     //[2:0.5:8]

/*[Encaje para el joystick de la silla]*/

//Altura del encaje para la silla
Alto_Encaje = 20;   //[10:1:80]

//Diámetro exterior del encaje para la silla
Dia_Ext = 10;       //[8:0.5:12]

//Diámetro interior del encaje para la silla
Dia_Int = 6;        //[4:0.5:8]

/*[Desplazamiento del pomo sobre el encaje]*/

//Milímetros que desea desplazar el pomo con respecto al centro del encaje
Desp_Pomo = 0;   //[-40:1:40]


module Pomo() {

hull() {
translate([-Largo/2+Grosor/2,-Ancho/2+Grosor/2,Alto-Grosor/2]) sphere(Grosor/2,$fn=40);
translate([-Largo/2+Grosor/2,Ancho/2-Grosor/2,Alto-Grosor/2]) sphere(Grosor/2,$fn=40);
translate([-Largo/2+Grosor/2,-Ancho/2+Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
translate([-Largo/2+Grosor/2,Ancho/2-Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
}

hull() {
translate([Largo/2-Grosor/2,-Ancho/2+Grosor/2,Alto-Grosor/2]) sphere(Grosor/2,$fn=40);
translate([Largo/2-Grosor/2,Ancho/2-Grosor/2,Alto-Grosor/2]) sphere(Grosor/2,$fn=40);
translate([Largo/2-Grosor/2,-Ancho/2+Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
translate([Largo/2-Grosor/2,Ancho/2-Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
}

hull() {
translate([Largo/2-Grosor/2,-Ancho/2+Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
translate([Largo/2-Grosor/2,Ancho/2-Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
translate([-Largo/2+Grosor/2,-Ancho/2+Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
translate([-Largo/2+Grosor/2,Ancho/2-Grosor/2,Grosor/2]) sphere(Grosor/2,$fn=40);
}

}

module Encaje() {
difference() {
translate([0,0,-Alto_Encaje/2]) cylinder(Alto_Encaje,Dia_Ext/2,Dia_Ext/2,center=true,$fn=100);
translate([0,0,-Alto_Encaje/2]) cylinder(Alto_Encaje+1,Dia_Int/2,Dia_Int/2,center=true,$fn=100);
}

}


translate([Desp_Pomo,0,0]) Pomo();
Encaje();

